Subject: Re: [PATCH 2/2] acpi: Disable IRQ 0 through I/O APIC for some HP systems

From: "Rafael J. Wysocki" <[email-masked]>
Date: Mon, 7 Jul 2008 14:34:09 +0200

On Monday, 7 of July 2008, Zhao Forrest wrote:
> > Hello,
> >
> >  Matthew, you have not added your sign-off with the original patch, please
> > do so now.
> >
> >  Rafael, please try this change together with
> > patch-2.6.26-rc1-20080505-mpparse-acpi-noirq0-2 and see if this fixes your
> > system.
> >
> >  I have tried the patches with a wildcard entry added to acpi_dmi_table[]
> > so that it trips for my system.  The result is as follows:
> 
> Since we add a new entry to acpi_dmi_table[], I think it's necessary
> for this new entry to preserve the semantics of this table, that is
> "acpi=force overrules DMI blacklist", am I right?

Can you please elaborate?

What exactly are we supposed to do apart from adding the new entries to the
table?

Thanks,
Rafael